HTTP Request Definition
Update HTTP request definition
Updates an existing HTTP request definition.
PUT
/
v1
/
http-request-definition
/
{definitionId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const httpRequestDefinition = await client.httpRequestDefinition.update('definitionId');
console.log(httpRequestDefinition.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
http_request_definition = client.http_request_definition.update(
definition_id="definitionId",
)
print(http_request_definition.data)curl --request PUT \
--url https://api.roark.ai/v1/http-request-definition/{definitionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"description": "<string>",
"body": "<string>",
"headers": {}
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "AGENT_OUTBOUND_DIAL",
"description": "<string>",
"url": "<string>",
"body": "<string>",
"parsedBody": {},
"headers": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the HTTP request definition to update
Body
application/json
Input for updating an HTTP request definition
URL for the HTTP request
Description of the HTTP request definition
HTTP method: POST, PUT, PATCH, or GET
Available options:
POST, PUT, PATCH, GET Request body template. Accepts a JSON object or a string with placeholders like {{phoneNumberToDial}}. Objects are serialized to JSON for storage.
Request headers as key-value pairs
Show child attributes
Show child attributes
Response
The updated HTTP request definition
HTTP request definition
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const httpRequestDefinition = await client.httpRequestDefinition.update('definitionId');
console.log(httpRequestDefinition.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
http_request_definition = client.http_request_definition.update(
definition_id="definitionId",
)
print(http_request_definition.data)